Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.segment
Class HL7SFTInfo

    java.lang.Object
      com.stc.connector.hl7.framework.structure.segment.HL7SFTInfo

All Implemented Interfaces:
  HL7SFTInfoInterface

    public class HL7SFTInfo

extends java.lang.Object
implements HL7SFTInfoInterface

The segment SFT is available since HL7 version 2.5. The SFT segment has the following fields:

SFT-1: Software Vendor Organization (XON)
SFT-2: Software Certified Version or Release Number (ST)
SFT-3: Software Product Name (ST)
SFT-4: Software Binary ID (ST)
SFT-5: Software Product Information (TX)
SFT-6: Software Install Date (TS)

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/04/10 06:33:24 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7SFTInfo()` Constructor for HL7SFTInfo.
`HL7SFTInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)`

Method Summary
`boolean` | `getEnable()`
`java.lang.String` | `getSoftwareBinaryID()`
`java.lang.String` | `getSoftwareCertifiedVersionOrReleaseNumber()`
`java.lang.String` | `getSoftwareInstallDate()`
`java.lang.String` | `getSoftwareProductInformation()`
`java.lang.String` | `getSoftwareProductName()`
`java.lang.String` | `getSoftwareVendorOrganization()`
`boolean` | `isEnable()`
`void` | `setEnable(boolean b)`
`void` | `setSoftwareBinaryID(java.lang.String string)`
`void` | `setSoftwareCertifiedVersionOrReleaseNumber(java.lang.String string)`
`void` | `setSoftwareInstallDate(java.lang.String string)`
`void` | `setSoftwareProductInformation(java.lang.String string)`
`void` | `setSoftwareProductName(java.lang.String string)`
`void` | `setSoftwareVendorOrganization(java.lang.String string)`
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7SFTInfo

    public HL7SFTInfo()
               throws HL7ApplicationException

  Constructor for HL7SFTInfo.

  Throws:
    `HL7ApplicationException`

### HL7SFTInfo

    public HL7SFTInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
               throws HL7ApplicationException

Throws:
  `HL7ApplicationException`

Method Detail

### getSoftwareBinaryID

    public java.lang.String getSoftwareBinaryID()

  Specified by:
    `getSoftwareBinaryID` in interface `HL7SFTInfoInterface`
  Returns:

### getSoftwareCertifiedVersionOrReleaseNumber

    public java.lang.String getSoftwareCertifiedVersionOrReleaseNumber()

  Specified by:
    `getSoftwareCertifiedVersionOrReleaseNumber` in interface `HL7SFTInfoInterface`
  Returns:

### getSoftwareInstallDate

    public java.lang.String getSoftwareInstallDate()

  Specified by:
    `getSoftwareInstallDate` in interface `HL7SFTInfoInterface`
  Returns:

### getSoftwareProductInformation

    public java.lang.String getSoftwareProductInformation()

  Specified by:
    `getSoftwareProductInformation` in interface `HL7SFTInfoInterface`
  Returns:

### getSoftwareProductName

    public java.lang.String getSoftwareProductName()

  Specified by:
    `getSoftwareProductName` in interface `HL7SFTInfoInterface`
  Returns:

### getSoftwareVendorOrganization

    public java.lang.String getSoftwareVendorOrganization()

  Specified by:
    `getSoftwareVendorOrganization` in interface `HL7SFTInfoInterface`
  Returns:

### setSoftwareBinaryID

    public void setSoftwareBinaryID(java.lang.String string)

  Specified by:
    `setSoftwareBinaryID` in interface `HL7SFTInfoInterface`
  Parameters:
    `string` -

### setSoftwareCertifiedVersionOrReleaseNumber

    public void setSoftwareCertifiedVersionOrReleaseNumber(java.lang.String string)

  Specified by:
    `setSoftwareCertifiedVersionOrReleaseNumber` in interface `HL7SFTInfoInterface`
  Parameters:
    `string` -

### setSoftwareInstallDate

    public void setSoftwareInstallDate(java.lang.String string)

  Specified by:
    `setSoftwareInstallDate` in interface `HL7SFTInfoInterface`
  Parameters:
    `string` -

### setSoftwareProductInformation

    public void setSoftwareProductInformation(java.lang.String string)

  Specified by:
    `setSoftwareProductInformation` in interface `HL7SFTInfoInterface`
  Parameters:
    `string` -

### setSoftwareProductName

    public void setSoftwareProductName(java.lang.String string)

  Specified by:
    `setSoftwareProductName` in interface `HL7SFTInfoInterface`
  Parameters:
    `string` -

### setSoftwareVendorOrganization

    public void setSoftwareVendorOrganization(java.lang.String string)

  Specified by:
    `setSoftwareVendorOrganization` in interface `HL7SFTInfoInterface`
  Parameters:
    `string` -

### isEnable

    public boolean isEnable()

  Specified by:
    `isEnable` in interface `HL7SFTInfoInterface`
  Returns:

### getEnable

    public boolean getEnable()

  Specified by:
    `getEnable` in interface `HL7SFTInfoInterface`
  Returns:

### setEnable

    public void setEnable(boolean b)

  Specified by:
    `setEnable` in interface `HL7SFTInfoInterface`
  Parameters:
    `b` -

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD